thunderbird unity launcher does not bring running thunderbird window forward

Reported by Ben Howard on 2011-09-02
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Unity
Undecided
Unassigned
unity (Ubuntu)
Undecided
Unassigned

Bug Description

When Thunderbird is running in the background, the Thunderbird Unity Launcher does not bring the window to the foreground. The only way to bring Thunderbird forward is to click the mail applet in the top right -> Mail.

Expected behavior: the launcher should bring Thunderbird forward

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: thunderbird 7.0~b1+build1+nobinonly-0ubuntu4
ProcVersionSignature: Ubuntu 3.0.0-9.15-generic 3.0.3
Uname: Linux 3.0.0-9-generic x86_64
NonfreeKernelModules: nvidia
AddonCompatCheckDisabled: False
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: PCH [HDA Intel PCH], device 0: CONEXANT Analog [CONEXANT Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ben 13721 F.... pulseaudio
 /dev/snd/pcmC0D0p: ben 13721 F...m pulseaudio
BuildID: 20110828151013
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xd4320000 irq 52'
   Mixer name : 'Conexant CX20590'
   Components : 'HDA:14f1506e,17aa21cf,00100000'
   Controls : 8
   Simple ctrls : 5
Card1.Amixer.info:
 Card hw:1 'NVidia'/'HDA NVidia at 0xd3000000 irq 17'
   Mixer name : 'Nvidia GPU 14 HDMI/DP'
   Components : 'HDA:10de0014,10de0101,00100100'
   Controls : 16
   Simple ctrls : 4
Card29.Amixer.info:
 Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw unknown'
   Mixer name : 'ThinkPad EC (unknown)'
   Components : ''
   Controls : 1
   Simple ctrls : 1
Card29.Amixer.values:
 Simple mixer control 'Console',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Channel: default
Date: Fri Sep 2 14:01:11 2011
EcryptfsInUse: Yes
ForcedLayersAccel: False
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
IpRoute:
 default via 10.0.0.1 dev wlan0 proto static
 10.0.0.0/24 dev wlan0 proto kernel scope link src 10.0.0.11
 169.254.0.0/16 dev wlan0 scope link metric 1000
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=en_US.utf8
 LC_MESSAGES=POSIX
 SHELL=/bin/bash
Profiles: Profile0 (Default) - LastVersion=7.0/20110828151013 (Running)
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
RunningIncompatibleAddons: False
SourcePackage: thunderbird
UpgradeStatus: Upgraded to oneiric on 2011-09-01 (1 days ago)
WifiSyslog:
 Sep 2 08:28:14 padfoot kernel: [117156.755599] type=1400 audit(1314973694.716:20): apparmor="STATUS" operation="profile_replace" name="/sbin/dhclient" pid=12090 comm="apparmor_parser"
 Sep 2 08:28:14 padfoot kernel: [117156.755692] type=1400 audit(1314973694.716:21): apparmor="STATUS" operation="profile_replace" name="/usr/lib/NetworkManager/nm-dhcp-client.action" pid=12090 comm="apparmor_parser"
 Sep 2 08:28:14 padfoot kernel: [117156.755754] type=1400 audit(1314973694.716:22): apparmor="STATUS" operation="profile_replace" name="/usr/lib/connman/scripts/dhclient-script" pid=12090 comm="apparmor_parser"
 Sep 2 09:16:04 padfoot kernel: [120020.259732] oosplash.bin[2545]: segfault at 968 ip 00007fb0f613ce56 sp 00007fffd7b51550 error 4 in libX11.so.6.3.0[7fb0f6103000+133000]
dmi.bios.date: 05/13/2011
dmi.bios.vendor: LENOVO
dmi.bios.version: 8BET44WW (1.24 )
dmi.board.asset.tag: Not Available
dmi.board.name: 4270CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr8BET44WW(1.24):bd05/13/2011:svnLENOVO:pn4270CTO:pvrThinkPadW520:rvnLENOVO:rn4270CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 4270CTO
dmi.product.version: ThinkPad W520
dmi.sys.vendor: LENOVO

Ben Howard (utlemming) wrote :
affects: thunderbird (Ubuntu) → unity (Ubuntu)
Doug McMahon (mc3man) wrote :

Had seen this previously but is now working fine on a beta1 install updated. (a min. TB is always raised
Do not have a 11.04 > 11.10 upgrade install to compare with
There is one rare exception, if compose is open on 1 workspace & TB min'ed on another then it can't be raised from the WS it's min'ed on ( this bug - Bug 838055

Jussi Pakkanen (jpakkane) wrote :

I can't reproduce this on Oneiric daily ISO. Is this still an issue?

Changed in unity:
status: New → Incomplete
Martin Mrazik (mrazik) wrote :

I can still see this in the released version of 11.10 (i386). It looks like launcher is not aware thunderbird is running (the small arrow is missing on the left hand side of the thunderbird account -> see the screenshot). Closing/starting Thunderbird doesn't help.

Martin Mrazik (mrazik) wrote :

"on the left hand side of the thunderbird account" should read "on the left hand side of the thunderbird icon in launcher". Sorry for confusion.

Martin Mrazik (mrazik) wrote :

btw - when I hit alt+tab I can not switch to thunderbird either. Thunderbird is simply not there.

Martin Mrazik (mrazik) on 2011-11-25
Changed in unity:
status: Incomplete → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
Dave Russell (drussell) wrote :

Still an issue on ubuntu 11.10

Omer Akram (om26er) wrote :

bug 627195 could be related to this issue

Changed in unity:
status: New → Confirmed
Hervé (herve-menager) wrote :

Also affects me.
A workaround which worked for me is to use CCSM (CompizConfig Settings Manager) like described here:https://bugs.launchpad.net/ayatana-design/+bug/627195/comments/7
General Options>Focus and Raise Behaviour>Focus Prevention Level from "Low" to "Off"

Kelsey Sigurdur (kes) wrote :

Running "unity --reset-icons" appears to fix the issue for me. This command will restore the launcher to its default state. If you have custom launchers you may want to back up ~/.local/share/applications before running the command. You should then be able to restore your custom launchers via drag & drop.

Omer Akram (om26er) wrote :

Thanks for the bug report. Is that still an issue for you Ubuntu 12.04 with all updates applied? Can you pleae test that and let us know?

Changed in unity:
status: Confirmed → Incomplete
Changed in unity (Ubuntu):
status: Confirmed → Incomplete
Martin Mrazik (mrazik) wrote :

Haven't seen this for a while -> closing.

Changed in unity (Ubuntu):
status: Incomplete → Invalid
Changed in unity:
status: Incomplete → Invalid
Sujit Joshi (sjoshionubuntu) wrote :

Hi,
I am not sure if this is how it's suppose to work or is a bug. Steps to reproduce:
1) Click on "envelope" icon in top bar. If you have an email, it'll tell you.
2) Click on that "inbox".
3) Thunderbird just wobbles but never comes to foreground.

This behavior is unlike Pidgin which gets to the foreground in similar situations. Using 12.04

Sorry I am posting even though the ticket is closed. I guess there is no point in creating a new one now in 12.04 since Raring is current dev branch.

To post a comment you must log in.